import { EventBus } from '../event-bus';
export declare class AssetManager extends EventBus {
    private name;
    private basePath;
    private downloader;
    private queue;
    private storage;
    private manifest;
    constructor(name: string, basePath: string);
    init(): Promise<boolean>;
    setManifest(path: string): Promise<any>;
    enqueue(path: string): void;
    download(): Promise<any>;
    downloadFromManifest(key: string): Promise<any>;
    downloadFile(path: string): Promise<any>;
    setBasePath(path: string): void;
    clearCache(): void;
}
